VTK: vtx::schema::VTXvtkBase Class Reference

| VTK 9.3.1

Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
vtx::schema::VTXvtkBase Class Referenceabstract

`#include <VTXvtkBase.h>`

Inheritance diagram for vtx::schema::VTXvtkBase:
[legend]
Collaboration diagram for vtx::schema::VTXvtkBase:
[legend]

## Public Member Functions
| VTXvtkBase (const std::string &type, const std::string &schema, adios2::IO &io, adios2::Engine &engine)
| ~VTXvtkBase () override
Public Member Functions inherited from vtx::VTXSchema
| VTXSchema (const std::string &type, const std::string &schema, adios2::IO &io, adios2::Engine &engine)
| Generic base constructor. More...
virtual | ~VTXSchema ()
void | Fill (vtkMultiBlockDataSet *multiBlock, size_t step=0)
| Fills multiblock data from request steps. More...

## Protected Member Functions
void | DoFill (vtkMultiBlockDataSet *multiBlock, size_t step) override=0
void | ReadPiece (size_t step, size_t pieceID) override=0
bool | ReadDataSets (types::DataSetType type, size_t step, size_t pieceID)
void | Init () override=0
void | InitTimes () final
std::string | DataSetType (types::DataSetType type) const noexcept
Protected Member Functions inherited from vtx::VTXSchema
void | GetTimes (const std::string &variableName="")
void | GetDataArray (const std::string &variableName, types::DataArray &dataArray, size_t step=0)

## Protected Attributes
std::vector< types::Piece > | Pieces
Protected Attributes inherited from vtx::VTXSchema
adios2::IO & | IO
adios2::Engine & | Engine

## Static Protected Attributes
static const std::set< std::string > | TIMENames
static const std::set< std::string > | SpecialNames
static const std::map< types::DataSetType, std::string > | DataSetTypes

## Additional Inherited Members
Public Attributes inherited from vtx::VTXSchema
const std::string | Type
| carries schema type from derived class More...
std::string | Schema
| schema contents as a single string More...
std::map< double, size_t > | Times
| Stored times and corresponding steps. More...

## Detailed Description

Definition at line 31 of file VTXvtkBase.h.

## Constructor & Destructor Documentation

## ◆ VTXvtkBase()

vtx::schema::VTXvtkBase::VTXvtkBase | ( | const std::string & | type,
|  | const std::string & | schema,
|  | adios2::IO & | io,
|  | adios2::Engine & | engine
| ) |  |

## ◆ ~VTXvtkBase()

vtx::schema::VTXvtkBase::~VTXvtkBase | ( |  | ) |
| override

## Member Function Documentation

## ◆ DoFill()

void vtx::schema::VTXvtkBase::DoFill | ( | vtkMultiBlockDataSet * | multiBlock,
|  | size_t | step
| ) |  |
| overrideprotectedpure virtual

Implements vtx::VTXSchema.

## ◆ ReadPiece()

void vtx::schema::VTXvtkBase::ReadPiece | ( | size_t | step,
|  | size_t | pieceID
| ) |  |
| overrideprotectedpure virtual

Implements vtx::VTXSchema.

## ◆ ReadDataSets()

bool vtx::schema::VTXvtkBase::ReadDataSets | ( | types::DataSetType | type,
|  | size_t | step,
|  | size_t | pieceID
| ) |  |
| protected

## ◆ Init()

void vtx::schema::VTXvtkBase::Init | ( |  | ) |
| overrideprotectedpure virtual

Implements vtx::VTXSchema.

## ◆ InitTimes()

void vtx::schema::VTXvtkBase::InitTimes | ( |  | ) |
| finalprotectedvirtual

Implements vtx::VTXSchema.

## ◆ DataSetType()

std::string vtx::schema::VTXvtkBase::DataSetType | ( | types::DataSetType | type | ) | const
| protectednoexcept

## Member Data Documentation

## ◆ Pieces

std::vector<types::Piece> vtx::schema::VTXvtkBase::Pieces
| protected

Definition at line 41 of file VTXvtkBase.h.

## ◆ TIMENames

const std::set<std::string> vtx::schema::VTXvtkBase::TIMENames
| staticprotected

Definition at line 43 of file VTXvtkBase.h.

## ◆ SpecialNames

const std::set<std::string> vtx::schema::VTXvtkBase::SpecialNames
| staticprotected

Definition at line 44 of file VTXvtkBase.h.

## ◆ DataSetTypes

const std::map<types::DataSetType, std::string> vtx::schema::VTXvtkBase::DataSetTypes
| staticprotected

Definition at line 45 of file VTXvtkBase.h.

The documentation for this class was generated from the following file:

- IO/ADIOS2/VTX/schema/vtk/VTXvtkBase.h